kind: pipeline
name: default

steps:
- name: submodules
  image: alpine/git
  commands:
  - git submodule update --init --recursive
  
- name: build
  image: klakegg/hugo:ext-alpine-ci
  commands: 
  - hugo --minify

- name: publish
  image: itsblue.dev/plugins/codeberg-pages-deploy
  settings:
    folder: public
    ssh_key:
        from_secret: gitea-ssh-key